%global fontname lobster
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.3
Release:        1%{?dist}
Summary:        Hand written font with various ligatures for better connecting of letters

Group:          User Interface/X
License:        OFL
URL:            http://www.impallari.com/lobster/
Source0:        http://www.impallari.com/lobster/releases/lobster-font-1.3.zip  
Source1:        %{name}-fontconfig.conf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Hand written font with various ligatures for better connecting
of letters.

%prep
%setup -c 
pushd Lobster\ 1.3/
for file in License.txt Readme.txt ; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done
popd


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p Lobster\ 1.3/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.otf

%doc Lobster\ 1.3/Readme.txt Lobster\ 1.3/License.txt


%changelog
* Mon May 24 2010 Parag Nemade <pnemade AT redhat.com> - 1.3-1
- Initial Fedora release.
